org.deidentifier.arx.metric.v2

## Class MetricMDNUNMNormalizedEntropy

- java.lang.Object
- - org.deidentifier.arx.metric.Metric<AbstractILMultiDimensional>
  - - org.deidentifier.arx.metric.v2.AbstractMetricMultiDimensional
    - - org.deidentifier.arx.metric.v2.MetricMDNUEntropyPrecomputed
      - - org.deidentifier.arx.metric.v2.MetricMDNUNMEntropyPrecomputed
        - - org.deidentifier.arx.metric.v2.MetricMDNUNMNormalizedEntropyPrecomputed
          - - org.deidentifier.arx.metric.v2.MetricMDNUNMNormalizedEntropy

All Implemented Interfaces:
  java.io.Serializable

    public class MetricMDNUNMNormalizedEntropy
    extends MetricMDNUNMNormalizedEntropyPrecomputed

This class provides an implementation of normalized non-uniform entropy. See:
A. De Waal and L. Willenborg: "Information loss through global recoding and local suppression" Netherlands Off Stat, vol. 14, pp. 17–20, 1999.

Author:
  Fabian Prasser, Florian Kohlmayer
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.metric.Metric

`Metric.AggregateFunction`

### Method Summary

All Methods Instance Methods Concrete Methods
`MetricConfiguration` `getConfiguration()` Returns the configuration of this metric.
`java.lang.String` `getName()` Returns the name of metric.
`ElementData` `render(ARXConfiguration config)` Renders the privacy model
`java.lang.String` `toString()` Returns the name of metric.

### Methods inherited from class org.deidentifier.arx.metric.v2.MetricMDNUNMNormalizedEntropyPrecomputed

`isPrecomputed`

### Methods inherited from class org.deidentifier.arx.metric.v2.MetricMDNUNMEntropyPrecomputed

`isGSFactorSupported`

### Methods inherited from class org.deidentifier.arx.metric.v2.MetricMDNUEntropyPrecomputed

`getScore, isScoreFunctionSupported`

### Methods inherited from class org.deidentifier.arx.metric.v2.AbstractMetricMultiDimensional

`createMaxInformationLoss, createMinInformationLoss, getAggregateFunction`

### Methods inherited from class org.deidentifier.arx.metric.Metric

`createAECSMetric, createAECSMetric, createAmbiguityMetric, createClassificationMetric, createClassificationMetric, createDiscernabilityMetric, createDiscernabilityMetric, createEntropyBasedInformationLossMetric, createEntropyBasedInformationLossMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createHeightMetric, createHeightMetric, createInstanceOfHighestScore, createInstanceOfLowestScore, createKLDivergenceMetric, createLossMetric, createLossMetric, createLossMetric, createLossMetric, createMetric, createNormalizedEntropyMetric, createNormalizedEntropyMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedNormalizedEntropyMetric, createPrecomputedNormalizedEntropyMetric, createPublisherPayoutMetric, createPublisherPayoutMetric, createStaticMetric, createStaticMetric, getDescription, getGeneralizationFactor, getGeneralizationSuppressionFactor, getInformationLoss, getInformationLoss, getLowerBound, getLowerBound, getSuppressionFactor, initialize, isAbleToHandleClusteredMicroaggregation, isAbleToHandleMicroaggregation, isIndependent, isMonotonic, isMonotonicWithGeneralization, isMonotonicWithSuppression, isMultiDimensional, isWeighted, list`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getConfiguration

    public MetricConfiguration getConfiguration()

Returns the configuration of this metric.

Overrides:
  `getConfiguration` in class `MetricMDNUNMNormalizedEntropyPrecomputed`
Returns:

#### getName

    public java.lang.String getName()

Description copied from class: `Metric`
Returns the name of metric.

Overrides:
  `getName` in class `MetricMDNUNMNormalizedEntropyPrecomputed`
Returns:

#### render

    public ElementData render(ARXConfiguration config)

Description copied from class: `Metric`
Renders the privacy model

Overrides:
  `render` in class `MetricMDNUNMNormalizedEntropyPrecomputed`
Returns:

#### toString

    public java.lang.String toString()

Description copied from class: `Metric`
Returns the name of metric.

Overrides:
  `toString` in class `MetricMDNUNMNormalizedEntropyPrecomputed`